Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.legend
Class LegendElementCreator

    java.lang.Object
      org.deegree.tools.legend.LegendElementCreator

    public class LegendElementCreator

extends Object

This executable class is an application, which reads out an sld-document, creates the corresponding legend-elements and saves them as an image. The class can be executed from the console.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Axel Schaefer, last edited by: $Author: mschneider $

Field Summary
`(package private) LecGUI` | `lecgui`
`(package private) String` | `verbose_output`

Constructor Summary
`LegendElementCreator(String sldfile, String directory, String format, Color color, int width, int height, String title, LecGUI lec)`

Method Summary
`String` | `getVerboseOutput()`
`static void` | `main(String[] args)` main-method for testing purposes
`void` | `setVerboseOutput(String vo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verbose_output

    String verbose_output

### lecgui

    LecGUI lecgui

Constructor Detail

### LegendElementCreator

    public LegendElementCreator(String sldfile,
                                String directory,
                                String format,
                                Color color,
                                int width,
                                int height,
                                String title,
                                LecGUI lec)
                         throws LegendException

Parameters:
  `sldfile` -
  `directory` -
  `format` -
  `color` -
  `width` -
  `height` -
  `title` -
  `lec` -
Throws:
  `LegendException`

Method Detail

### getVerboseOutput

    public String getVerboseOutput()

  Returns:
    verbose_output

### setVerboseOutput

    public void setVerboseOutput(String vo)

  Parameters:
    `vo` -

### main

    public static void main(String[] args)

  main-method for testing purposes

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org